#ifndef BIRTHDAY5_H_
#define BIRTHDAY5_H_

#include <iostream>
using namespace std;

class Birthday
{
public:
    /**
     * Default constructor.
     */
    Birthday();

    /**
     * Default destructor.
     */
    ~Birthday();

    /**
     * Constructor.
     * @param y the year
     * @param m the month
     * @param d the date
     */
    Birthday(int y, int m, int d);

    int get_year() const;
    int get_month() const;
    int get_date() const;

    int static get_count();

    void set_year(const int y);
    void set_month(const int m);
    void set_date(const int d);

    friend ostream& operator <<(ostream& outs, const Birthday& bd);

private:
    int year, month, date;
};

#endif
